<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Notices' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>
    <ion-button (click)="addNotice()" expand="block">
        {{ 'Add Notice' | translate }}
    </ion-button>
    <div *ngIf="!this.cache?.isLoading">

        <ion-list *ngFor="let notice of this.cache?.objects; index as i">
            <ion-card [routerLink]="['/society/notices/update-notice',notice.id]">
                <ion-item>
                    <ion-label class="ion-text-wrap">
                        <ion-icon name="notifications"></ion-icon>
                        {{ 'Notice' | translate }} : {{notice.title}}
                    </ion-label>
                </ion-item>
                <div>
                    <ion-grid>
                        <ion-row>
                            <ion-label class="ion-text-wrap">
                                <ion-icon name="alert"></ion-icon>
                                {{notice.description}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="create"></ion-icon>
                                {{getLocalTime(notice.createdOn) | date:'medium'}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-label *ngIf="isExpired(notice.validity)" style="color: red">
                                <ion-icon name="calendar"></ion-icon>
                                {{getLocalTime(notice.validity) | date:'medium'}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-label *ngIf="!isExpired(notice.validity)" style="color: green">
                                <ion-icon name="calendar"></ion-icon>
                                {{getLocalTime(notice.validity) | date:'medium'}}
                            </ion-label>
                        </ion-row>
                        <ion-row *ngIf="notice?._cache_pending_operation == 'add'" style="color: orangered">
                            <ion-icon name="alert"> </ion-icon>
                            {{ 'ADDED: not synced to server' | translate }}
                        </ion-row>
                        <ion-row *ngIf="notice?._cache_pending_operation == 'update'" style="color: goldenrod">
                            <ion-icon name="alert">r</ion-icon>
                            {{ 'UPDATED: not synced to server' | translate }}
                        </ion-row>
                        <ion-row *ngIf="notice?._cache_pending_operation == 'delete'" style="color: red">
                            <ion-icon name="alert">r</ion-icon>
                             {{ 'DELETED: not synced to server' | translate }}
                        </ion-row>
                        <ion-row *ngIf="notice?._cache_sync_error != undefined" style="color: red">
                            <ion-icon name="alert">r</ion-icon>
                            {{notice?._cache_sync_error}}
                        </ion-row>        
                    </ion-grid>
                </div>
            </ion-card>
        </ion-list>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>

        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ..." >
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>